Skip to main content
POST
/
api
/
publicapi
/
v1
/
transactions
/
{transactionId}
/
files
Adds files to the transaction
curl --request POST \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'Model={
  "files": [
    {
      "index": "<string>",
      "imageProcessingOptions": {},
      "registrationParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ]
}' \
  --form 'Files=<string>' \
  --form Files.items='@example-file'
{
  "type": "<string>",
  "title": "<string>",
  "status": "<string>",
  "detail": "<string>",
  "instance": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

transactionId
string<uuid>
required

Transaction identifier. You receive it in the response after the transaction has been successfully created.

Body

multipart/form-data
Model
object

Additional transaction processing parameters. See TransactionMetadataDto model.

Files
file[]

Model for getting file passed in multipart/* content

Response

Files successfully added to a transaction